%global __os_install_post /usr/lib/rpm/redhat/brp-compress \
  %{!?__debug_package:/usr/lib/rpm/redhat/brp-strip %{__strip}} \
  /usr/lib/rpm/redhat/brp-strip-static-archive %{__strip} \
  /usr/lib/rpm/redhat/brp-strip-comment-note %{__strip} %{__objdump} 

Name:           cloud-init-yaws
Version:        0.7.11
Release:        1%{?dist}
Summary:        Cloud instance init scripts 

Group:          System Environment/Base
License:        GPLv3
URL:            http://launchpad.net/cloud-init-yaws
Source0:        https://launchpad.net/cloud-init/trunk/%{version}/+download/cloud-init-yaws-%{version}.tar.gz

#BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       dmidecode
Requires:       iproute
Requires:       libselinux-python
Requires:       net-tools
Requires:       procps
Requires:       rsyslog
Requires:       shadow-utils
Requires:       /usr/bin/run-parts
Requires(post):   chkconfig
Requires(preun):  chkconfig
Requires(postun): initscripts
AutoReqProv: no

%description
Cloud-init is a set of init scripts for cloud instances.  Cloud instances
need special scripts to run during initialization to retrieve and install
ssh keys and to let the user run various scripts.


%prep
#echo "prep"
#mkdir -p $RPM_BUILD_ROOT || true
cd $RPM_SOURCE_DIR
tar -xzvf cloud-init-yaws-%{version}.tar.gz

%build
#cd $RPM_BUILD_ROOT/cloud-init-yaws
#make DESTDIR=$RPM_BUILD_ROOT
set|grep RPM
%install

#rm -rf $RPM_BUILD_ROOT
export QA_RPATHS=$[ 0x0002 ]
export QA_SKIP_BUILD_ROOT="YESPLEASE"
#cp /package/Makefile /package/install.sh $RPM_BUILD_DIR
#cd ~/cloud-init-yaws
cd $RPM_SOURCE_DIR/cloud-init-yaws-%{version}
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ $1 -eq 1 ] ; then
    # Initial installation
    # Enabled by default per "runs once then goes away" exception
    for svc in init-local init config final; do
        chkconfig --add cloud-$svc
        chkconfig cloud-$svc on
    done
fi

%preun
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    for svc in init-local init config final; do
        chkconfig cloud-$svc off
        chkconfig --del cloud-$svc
    done
    # One-shot services -> no need to stop
fi

%postun
# One-shot services -> no need to restart


%files
%config(noreplace) %{_sysconfdir}/cloud/cloud.cfg
%dir               %{_sysconfdir}/cloud/cloud.cfg.d
%config(noreplace) %{_sysconfdir}/cloud/cloud.cfg.d/*.cfg
%doc               %{_sysconfdir}/cloud/cloud.cfg.d/README
%dir               %{_sysconfdir}/cloud/templates
%config(noreplace) %{_sysconfdir}/cloud/templates/*
%{_initrddir}/cloud-*
#%doc %{_datadir}/doc/%{name}
%dir %{_sharedstatedir}/cloud
#%config(noreplace) %{_sysconfdir}/rsyslog.d/21-cloudinit.conf
/cloudinit
/etc
/usr
/lib

%changelog
* Thu Jul 14 2016 Sergey Nechaev <spnechaev@yandex-team.ru> 0.7.11-1
- rpm cleanup (spnechaev@yandex-team.ru)

* Wed Jul 13 2016 Sergey Nechaev <spnechaev@yandex-team.ru> 0.7.10-1
- 

* Wed Jul 13 2016 Sergey Nechaev <spnechaev@yandex-team.ru>
- 

* Wed Jul 13 2016 Sergey Nechaev <spnechaev@yandex-team.ru> 0.7.9-1
- new package built with tito

* Tue Jun 28 2016 Sergey Nechaev <spnechaev@gmail.com> - 0.7.7
- Initial packaging


